"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      isAgreed: false
    };
  },
  methods: {
    toggleAgreement() {
      this.isAgreed = !this.isAgreed;
    },
    startInterview() {
      if (!this.isAgreed) {
        common_vendor.index.showToast({
          title: "请先同意面试须知",
          icon: "none"
        });
        return;
      }
      common_vendor.index.navigateTo({
        url: "/pages/face-photo/face-photo",
        fail: (err) => {
          console.error("页面跳转失败:", err);
          common_vendor.index.showToast({
            title: "页面跳转失败",
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.isAgreed,
    b: common_vendor.o((...args) => $options.toggleAgreement && $options.toggleAgreement(...args)),
    c: !$data.isAgreed,
    d: common_vendor.o((...args) => $options.startInterview && $options.startInterview(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
